Name: H5Pcreate
Signature:
  hid_t `H5Pcreate`(hid_t `cls_id` )
Purpose:
  Creates a new property as an instance of a property list class.
Description:
  `H5Pcreate` creates a new property as an instance of some property list class. The new property list is initialized with default values for the specified class. The classes are:
  `H5P_FILE_CREATE`
    Properties for file creation. See Files in the HDF User's Guide for details about the file creation properties.
  `H5P_FILE_ACCESS`
    Properties for file access. See Files in the HDF User's Guide for details about the file creation properties.
  `H5P_DATASET_CREATE`
    Properties for dataset creation. See Datasets in the HDF User's Guide for details about dataset creation properties.
  `H5P_DATASET_XFER`
    Properties for raw data transfer. See Datasets in the HDF User's Guide for details about raw data transfer properties.
  `H5P_MOUNT`
    Properties for file mounting. With this parameter, `H5Pcreate` creates and returns a new mount property list initialized with default values.

  This property list must eventually be closed with `H5Pclose`; otherwise, errors are likely to occur.

Parameters:

hid_t `cls_id` | IN: The class of the property list to create.

Returns:
  Returns a property list identifier (`plist`) if successful; otherwise Fail (-1).
Fortran90 Interface: h5pcreate_f

      SUBROUTINE h5pcreate_f(classtype, prp_id, hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(IN) :: classtype       ! The type of the property list
                                               ! to be created
                                               ! Possible values are:
                                               !    H5P_FILE_CREATE_F
                                               !    H5P_FILE_ACCESS_F
                                               !    H5P_DATASET_CREATE_F
                                               !    H5P_DATASET_XFER_F
                                               !    H5P_MOUNT_F
        INTEGER(HID_T), INTENT(OUT) :: prp_id  ! Property list identifier
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pcreate_f